version: "3.8"

services:
  server:
    build:
      context: .
      dockerfile: Dockerfile
    image: video_decode
    container_name: video_decode
    restart: always
    ports:
      - "8000:8000"
    env_file:
      - .env
    environment:
      - APP_ENV=prod
    entrypoint: ["uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8000"]
